Page MenuHomePhabricator

Graph drawing: graph visualisation and rendering based on graphviz / dot software and language
Closed, DeclinedPublic

Description

I propose to include the Graphviz extension [0] of Victor as part of mediawiki
starting with 1.5

You could have a first look to the gallery page with plenty of examples and dot
source codes[1] and the manual [2].

I hereby also ask the developers' community to consider the implementation in
all wikis.

[0] Proposed for all Wikipedias
http://www.wickle.com/wikis/index.php/Graphviz_extension
[1] http://www.graphviz.org/Gallery.php
[2] http://www.graphviz.org/Documentation.php
[3] http://www.graphviz.org/Documentation/dotguide.pdf a concise manual for starters


Version: unspecified
Severity: enhancement

Details

Commits
Unknown Object (Diffusion Commit)
Reference
bz1781

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 8:18 PM
bzimport set Reference to bz1781.
bzimport added a subscriber: Unknown Object (MLST).
Wikinaut created this task.Mar 30 2005, 9:25 PM

jeluf wrote:

graphviz output is not antialiased and therefor looks rather ugly.
Is there a good looking graph library?

(In reply to comment #1)

graphviz output is not antialiased and therefor looks rather ugly.
Is there a good looking graph library?

I still propose to stick to graphviz / dot , which appears to be the best-known
program worldwide.

The output could be postprocessed.-

The team of developers can easily be contacted; perhaps anyone is listening here
and can overcome JeLuF's objection by submitting an amended version or patch ?
Would be nice, please drop in !

Jan wrote:

I second this motion!

Graphviz -- and a few other such things -- should be included in /extensions, but not automatically turned on in LocalSettings.php.
This should satisfy those who don't want increased maintenance for extensions.

This is an incredibly useful tool for collaborative authoring. It fills a role that is NOT filled by .JPG images, in that users can
collaboratively edit Graphviz graphs.

Precedent for inclusion of extensions in WikiPedia has been set with the inclusion of EasyTimeline. I feel that Graphviz is every bit as
useful, and easier to use, than EasyTimeline.

I have made a number of improvements to the original extension, and will port those as soon as a beta 1.5 comes out that supports
the out-of-band extension communication scheme that I proposed in http://bugzilla.wikimedia.org/show_bug.cgi?id=1726 and
http://bugzilla.wikimedia.org/show_bug.cgi?id=684 .

  1. I've included the ability to use alternate layout engines that are part of the Graphviz package. The current extension ONLY allows

hierarchical layout, whereas certain useful graphs (http://www.IslandSeeds.org/wiki/Components) would be impossible to display
using the standard layout. (The above makes a graph that is about 50 cm wide!)

  1. I've added the ability to flow text right or left around the graph.
  1. I've added the ability to automatically generate imagemap links to wiki words for node labels.
brion added a comment.Mar 31 2005, 1:19 AM

It's an extension requiring external tools, thus is to be distributed separately.

Resolving as wontfix.

plugwash wrote:

right ok so you won't include it in the standard mediawiki distribution but what
about implementing the extention (or something like it) on the wikimedia wikis.

also you claim depending on an external tool is a problem for inclusion in the
mediawiki distribution and yet the math forumulae support depends on tex doesn't it.

brion added a comment.Mar 31 2005, 2:12 AM

a) Separate and unrelated issue.

b) Will be moved out to a separate extension once the necessary preference hooks are done.

vic wrote:

I agree ... as a developer i would like to know if there are a site of
"Mediawiki extensions" (i am used my own CVS at the moment) to commit changes ?
How can i distribute the extension if this does not exist ?

On the other side , graphviz extension depends on external software .. but a
simple apt-get install graphviz is the only every user need.

Closing old verified bugs.

epriestley changed the task status from Declined to Resolved by committing Unknown Object (Diffusion Commit).Mar 4 2015, 8:23 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
Aklapper changed the task status from Resolved to Declined.Mar 4 2015, 9:20 AM
Aklapper claimed this task.